shishi_cfg_default_userfile(3)

NAME
shishi_cfg_default_userfile - API function

SYNOPSIS
#include <shishi.h>

const char * shishi_cfg_default_userfile(Shishi * handle);

ARGUMENTS

Shishi * handle
    Shishi library handle created by shishi_init().

DESCRIPTION
Reports the absolute filename of the default user configuration file. This is typically "$HOME/.shishi/shishi.conf".

The value of $SHISHI_HOME will change the directory part, as stated regarding shishi_cfg_default_userdirectory().

RETURN VALUE
Returns the user's configuration filename.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.